CREATE TABLE doo_order_incentives (
    INCENTIVE_ID                     NUMBER(18, 0) ,
    SOURCE_INCENTIVE_ID              VARCHAR2(200)     NOT NULL,
    HEADER_ID                        NUMBER(18, 0)     NOT NULL,
    FULFILL_LINE_ID                  NUMBER(18, 0) ,
    INCENTIVE_ENTITY_TYPE_CODE       VARCHAR2(120)     NOT NULL,
    INCENTIVE_ENTITY_SUBTYPE_CODE    VARCHAR2(120)     NOT NULL,
    INCENTIVE_ENTITY_KEY_1           VARCHAR2(200)     NOT NULL,
    INCENTIVE_ENTITY_KEY_2           VARCHAR2(200) ,
    INCENTIVE_ENTITY_KEY_3           VARCHAR2(200) ,
    INCENTIVE_ENTITY_KEY_4           VARCHAR2(200) ,
    INCENTIVE_ENTITY_KEY_5           VARCHAR2(200) ,
    DECLINABLE_FLAG                  VARCHAR2(4)       NOT NULL,
    MANUALLY_APPLIED_FLAG            VARCHAR2(4)       NOT NULL,
    STATUS_CODE                      VARCHAR2(120)     NOT NULL,
    INELIGIBILITY_REASON             VARCHAR2(4000),
    DECLINE_REASON_CODE              VARCHAR2(120) ,
    COMMENTS                         VARCHAR2(4000),
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    REFERENCE_INCENTIVE_ID           NUMBER(18, 0) ,
    INCENTIVE_ID                     NUMBER(18, 0) ,
    SOURCE_INCENTIVE_ID              VARCHAR2(200)     NOT NULL,
    HEADER_ID                        NUMBER(18, 0)     NOT NULL,
    FULFILL_LINE_ID                  NUMBER(18, 0) ,
    INCENTIVE_ENTITY_TYPE_CODE       VARCHAR2(120)     NOT NULL,
    INCENTIVE_ENTITY_SUBTYPE_CODE    VARCHAR2(120)     NOT NULL,
    INCENTIVE_ENTITY_KEY_1           VARCHAR2(200)     NOT NULL,
    INCENTIVE_ENTITY_KEY_2           VARCHAR2(200) ,
    INCENTIVE_ENTITY_KEY_3           VARCHAR2(200) ,
    INCENTIVE_ENTITY_KEY_4           VARCHAR2(200) ,
    INCENTIVE_ENTITY_KEY_5           VARCHAR2(200) ,
    DECLINABLE_FLAG                  VARCHAR2(4)       NOT NULL,
    MANUALLY_APPLIED_FLAG            VARCHAR2(4)       NOT NULL,
    STATUS_CODE                      VARCHAR2(120)     NOT NULL,
    INELIGIBILITY_REASON             VARCHAR2(4000),
    DECLINE_REASON_CODE              VARCHAR2(120) ,
    COMMENTS                         VARCHAR2(4000),
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    REFERENCE_INCENTIVE_ID           NUMBER(18, 0) ,
    CONSTRAINT pk_doo_order_incentives PRIMARY KEY (INCENTIVE_ID, INCENTIVE_ID)
);
